// parametric inside cap

d_outside = 10.81; // outside diameter
height = 4; // height without base
g_wall = 1.3; // wall thickness
d_base = 11; // base diameter
g_base = 2; // base thickness

difference()
{
	union()
	{
		// body		
		translate([0, 0, (height+g_base)/2])
		cylinder(h = height+g_base, r=d_outside/2,  center = true, $fn=100);
		
		// hole
		translate([0, 0, g_base/2])
		cylinder(h = g_base, r = d_base/2,  center = true, $fn=100);
	}
	// base
	translate([0, 0, height/2+g_base])
	cylinder(h = height, r=d_outside/2-g_wall,  center = true, $fn=100);
}
